<?xml version="1.0" encoding="UTF-8" ?>
<html f:schemaLocation="https://fluidtypo3.org/schemas/fluid-master.xsd" lang="en"
      xmlns="http://www.w3.org/1999/xhtml"
      xmlns:f="http://typo3.org/ns/TYPO3/Fluid/ViewHelpers">
<head>
    <title>MemberForm: ShowMemberForm</title>
</head>

<body>

<f:layout name="Default"/>
<f:section name="main">
    <f:if condition="{Error}!=1">
        <f:then>
            <f:form action="send" class="o-form {f:if(condition:isCompany,then: 'multiform',else: '')} donation-form" id="memberform" method="post" name="memberform">
                <f:form.hidden name="kundenbeziehung" value="46"/>
                <div class="donation-form__item">
                    <header class="header">
                        <h3 class="o-form__section-headline">Mitgliedsantrag</h3>
                    </header>
                    <p>
                        <strong>Ja, ich möchte {f:if(condition: '{settings.isBRK} == 1', then: 'BRK', else: 'DRK')}-Fördermitglied werden!</strong>
                    </p>
                </div>

                <div class="donation-form__item">
                <f:render arguments="{dues: dues, showCustomDuesField: showCustomDuesField, isDonation: 0}" partial="MemberForm/Dues" />
                </div>

                <div class="donation-form__item">
                    <header class="header">
                        <h4 class="o-form__section-headline">Einzugshäufigkeit</h4>
                    </header>

                    <div class="o-radio-group donation-form__frequency" id="c-frequency">
                        <f:for as="periode" key="periode_id" each="{contributionperiodeArray}" iteration="i">
                            <div class="donation-form__frequency-item">
                                <f:form.radio
                                    id="form-donation-mode_{periode}"
                                    name="donation_periode"
                                    class="o-radio-group__option"
                                    value="{periode_id}"
                                />
                                <label for="form-donation-mode_{periode}" class="o-radio-group__label" title=""/>{periode}</label>
                            </div>
                        </f:for>
                    </div>
                </div>

                <div class="donation-form__item">
                    <f:if condition="{isCompany}">
                        <div class="o-form__item-group">
                            <header class="header">
                                <h4 class="o-form__section-headline">Mitglied als</h4>
                            </header>
                            <div class="o-form__item donation-form__donator">
                                <div class="donation-form__donator-button">
                                    <f:form.radio checked="1" class="button-check" id="person" name="iscompany" onclick="tx_memberform_toggleFirma();"
                                                  value="0"/>
                                    <label class="button button--primary" for="person">Person</label>
                                </div>
                                <div class="donation-form__donator-button">
                                    <f:form.radio class="button-check" id="company" name="iscompany" onclick="tx_memberform_toggleFirma();"
                                                  value="1"/>
                                    <label class="button button--primary" for="company">Firma</label>
                                </div>
                            </div>
                        </div>
                    </f:if>

                    <!-- Formular Person Beginn -->
                    <section class="tx-drk-memberform-person">
                        <f:render arguments="{prefix_array: prefix_array, title_array: title_array, renderMandatory: 1, ShowBirthdayField : ShowBirthdayField, ShowPhoneField : ShowPhoneField}"
                                  partial="MemberForm/PersonData"/>
                    </section>
                    <!-- Formular Person Ende -->
                    <f:if condition="{isCompany}">
                        <!-- Formular Firma Beginn -->
                        <section class="tx-drk-memberform-company" style="display:none;">
                            <f:render arguments="{prefix_array: prefix_array, title_array: title_array, renderMandatory: 1, ShowBirthdayField : ShowBirthdayField, ShowPhoneField : ShowPhoneField}"
                                      partial="MemberForm/CompanyData"/>
                        </section>
                        <!-- Formular Firma Ende -->
                    </f:if>
                </div>
                <div class="donation-form__item">
                    <f:render arguments="{aOrgData: orgData, bIsDonation: 0}" partial="MemberForm/Payment"/>
                </div>
                <f:if condition="{terms_url} != ''">
                    <div class="donation-form__item">
                        <f:render arguments="{terms_url: terms_url}" partial="MemberForm/Agb"/>
                    </div>
                </f:if>

                <f:if condition="{showEmailDeclassificationField}">
                    <div class="donation-form__item">
                        <f:render partial="MemberForm/AdditionalInformation"/>
                    </div>
                </f:if>

                <f:if condition="{privacy_url} != ''">
                    <div class="donation-form__item">
                        <f:render arguments="{privacy_url: privacy_url}" partial="MemberForm/Privacy"/>
                    </div>
                </f:if>

                <div class="donation-form__item donation-form__item--submit">
                    <f:render arguments="{isDonation: 0}" partial="MemberForm/Submit"/>
                </div>
            </f:form>
        </f:then>
        <f:else>
            <div class="min-content-width">
            <p>
                <f:for as="error_value" each="{errorMessages}" key="error_key">
                    <strong>{error_key}:</strong> {error_value}
                </f:for>
            </p>
            <p style="margin-top: 1em"><input class="button o-btn" name="back_button" onClick="history.back(1)" type="button"
                                              value="Zurück"></p>
            </div>
        </f:else>
    </f:if>
</f:section>

<f:comment>if debug, show it</f:comment>
<f:section name="debug">
        <pre>
            <f:for as="debug_value" each="{debug}" key="debug_key">
                <strong>{debug_key}:</strong> {debug_value}
            </f:for>
        </pre>
</f:section>

</body>
</html>
